.app-modal {
    position: fixed; /* Stay in place */
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: $rub-overlay-bg;
    align-items: center;

    &-wrapper {
      background: $rub-white;
      border-top-left-radius: 4px;
      border-top-right-radius: 4px;
      overflow: hidden;
      .small & {
        min-height: calc(#{$rub-s-modal-header-height} + #{$rub-s-modal-footer-height});
        width:$rub-s-modal-width;
      }

      .medium & {
        min-height: calc(#{$rub-m-modal-header-height} + #{$rub-m-modal-footer-height});
        width:$rub-m-modal-width;
      }

      .large & {
        min-height: calc(#{$rub-l-modal-header-height} + #{$rub-l-modal-footer-height});
        width:$rub-l-modal-width;
      }

    }
    
    &-header {
      width: 100%;
      background: url('../assets/svg/modal-header.svg') no-repeat $rub-modal-header-bg 100%;
      color: $rub-white;
      align-items: center;
      .close-btn {
        cursor: pointer;
      }
      .small & {
        height: $rub-s-modal-header-height;
        padding:$rub-s-modal-padding;
      }

      .medium & {
        height: $rub-m-modal-header-height;
        padding:$rub-m-modal-padding;
      }

      .large & {
        height: $rub-l-modal-header-height;
        padding:$rub-l-modal-padding;
      }

    }

    &-body {
      width: 100%;
      overflow: auto;
      .small & {
        max-height: calc(100vh - #{$rub-app-header-height} - #{$rub-s-modal-header-height} - #{$rub-s-modal-footer-height});
        padding: $rub-s-modal-padding;
        padding-top: 30px;
      }

      .medium & {
        max-height: calc(100vh - #{$rub-app-header-height} - #{$rub-m-modal-header-height} - #{$rub-m-modal-footer-height});
        padding: $rub-m-modal-padding;
        padding-top: 30px;
      }

      .large & {
        max-height: calc(100vh - #{$rub-app-header-height} - #{$rub-l-modal-header-height} - #{$rub-l-modal-footer-height});
        padding: $rub-l-modal-padding;
        padding-top: 50px;
      }
    }

    &-footer {
      align-items: center;
      border-top: 1px solid $rub-greyb6;
      .small & {
        height: $rub-s-modal-footer-height;
        padding: $rub-s-modal-padding;
      }

      .medium & {
        height: $rub-m-modal-footer-height;
        padding: $rub-m-modal-padding;
      }

      .large & {
        height: $rub-l-modal-footer-height;
        padding: $rub-l-modal-padding;
      }
    }
}
  

  